/**
 * @file
 * Filter Styles
 */

sc-container:has(.view-filters) {
  --container-padding--bottom-override: 0;
}

.view-filters {
  display: grid;
  gap: var(--grid-gap--x);
  grid-template-columns: repeat(6, 1fr);
  padding: 0 0 var(--gap--lg);
  position: relative;
  width: 100%;

  .form-submit__wrapper:has(.js-hide) {
    display: none;
  }
}

.view-filters:has(+ .view-filters__results) {
  padding-bottom: var(--gap--xs);
}

.view-filters__results {
  color: var(--color--primary);
  font-size: var(--font-size--h5);
  font-weight: 400;
  letter-spacing: var(--letter-spacing--h5);
  line-height: 1.4;
  padding: 0 0 var(--gap);
  text-align: center;
}

.view-filters__results:focus-visible {
  /* outline: 0; TEMP REMOVAL */
}

.view-filters__inner {
  align-items: end;
  background-color: var(--color--light-accent);
  display: flex;
  flex-wrap: wrap;
  gap: var(--gap-static--xs) 0;
  grid-column: var(--container-grid-column, 1 / -1);
  padding: 0;
  position: relative;

  input[type="text"] {
    appearance: none;
    background-color: unset;
    border: none;
    border-bottom: 1px solid var(--color--primary);
    font-family: var(--font-family--primary);
    font-size: var(--font-size--caption);
    font-weight: 400;
    height: 40px;
    /* outline: none; TEMP REMOVAL */
    padding: var(--gap--xxs) 0;
    width: 100%;
  }

  .submit-btn {
    position: relative;

    &::before {
      content: none;
    }

    &::after {
      background-color: var(--button-after--background-color, var(--color--dark-accent-2));
      bottom: 0;
      content: '';
      content: "";
      display: block;
      height: 2px;
      left: auto;
      mask-image: none;
      position: absolute;
      right: auto;
      top: auto;
      transform: none;
      transition: height var(--transition-dur), background-color var(--transition-dur);
      width: 100%;
    }

    &:hover {
      &::after {
        height: 4px;
      }
    }
  }
}

.view-filters__inner .submit-btn input {
  padding: 0 0 8px 0;
  transition: color var(--transition-dur);
}

label {
  color: var(--color--primary);
  display: block;
  flex: 1 0 100%;
  font-size: var(--font-size--caption);
  font-weight: 500;
  letter-spacing: var(--letter-spacing--caption);
  line-height: 1.5;
  margin-bottom: var(--gap-static--xxxxs);
}

.view-filters__inner form {
  flex: 1 1 auto;
}

.view-filters__inner .filters-group {
  display: block;
  width: 100%;
}

.view-filters__inner .form-item {
  display: block;
  flex: 1;
  margin-bottom: var(--gap--sm);
  width: 100%;
}

.view-filters__inner .form__inner label {
  display: none;
}

.filters-form__inner {
  align-items: center;
  display: flex;
}

.form--inline.form__inner {
  column-gap: var(--gap);
  flex: 1;
}

.form-item,
.form-actions {
  margin: 0;
}

#edit-reset-article-landing {
  align-items: center;
  background-color: transparent;
  border-radius: 30px;
  border: var(--border-width) solid var(--color--primary);
  color: var(--color--primary);
  cursor: pointer;
  display: inline-flex;
  font-family: var(--font-family--secondary);
  font-size: var(--font-size--h6);
  font-weight: var(--font-size--h6);
  justify-content: center;
  letter-spacing: 0;
  line-height: var(--line-height--h6);
  padding: 12px 20px;
  position: relative;
  text-align: left;
  text-decoration: none;
  text-wrap: balance;
  transition: background-color var(--transition-dur), border-color var(--transition-dur), color var(--transition-dur);
}

#edit-reset-article-landing:hover,
#edit-reset-article-landing:active {
  background-color: var(--color--primary);
  color: var(--color--white);
}

.filters--three .view-filters__inner {
  grid-column: 1 / span -1;
}

.filters--three .view-filters__inner .form--inline {
  width: 100%;
}

@media only screen and (min-width: 768px) {
  .view-filters {
    grid-template-columns: repeat(12, 1fr);
  }

  .view-filters__inner {
    flex-wrap: nowrap;
    grid-column: 1 / span 12;
  }

  .view-filters__inner .filters-group {
    display: flex;
    flex-grow: 1;
    gap: var(--gap-static--m);
    width: auto;
  }

  .filters--three .view-filters__inner {
    grid-column: 1 / span 12;
  }

  .filters--three .view-filters__inner .form--inline {
    align-items: end;
    display: flex;
    width: auto;
  }

  .filters--three .view-filters__inner .form--inline > *:not(:last-child) {
    margin-right: var(--gap-static--m);
  }

  .filters--three .view-filters__inner .form--inline > *:nth-last-child(2) {
    margin-right: var(--gap-static--lg);
  }

  .view-filters__inner .form-item {
    margin-bottom: 0;
  }

}

@media only screen and (min-width: 1024px) {
  .view-filters {
    grid-template-columns: repeat(14, 1fr);
  }

  .view-filters__inner {
    flex-wrap: nowrap;
    grid-column: 2 / span 12;
  }

  .filters--three .view-filters__inner {
    grid-column: 2 / span 12;
  }
}

@media only screen and (min-width: 1280px) {
  .view-filters__inner {
    grid-column: 3 / span 10;
  }
}

@media print {
  .view-filters {
    display: none;
  }
}
